'Room Temperature
'Display temperature from a DS1620 on two LTS4801JF yellow/orange LEDs
'
CON
'Set clock speed to 80 MHz
  _clkmode = xtal1 + pll16x        'Sets the clock speed to 80 MHz using a times 16 multiplier
  _xinfreq = 5_000_000             'Crystal speed: 5 MHz

VAR
  Long  fData
  Byte  tensValue
  Byte  onesValue
  
OBJ
  Display : "LEDDisplay"
  Temperature : "DS1620"
  Debug  : "FullDuplexSerial"

PUB Main
  Repeat
    Temperature.Start(16,17,18)
    fData := Temperature.gettempf
    
    tensValue := (fData/100)
    onesValue := (fData/10)-((fData/100)*10)

    debug.start(31, 30, 0, 9600)
    debug.dec(tensValue)
    debug.dec(onesValue)
    debug.str(string(" F"))
    debug.tx(13)
    
    display.output(tensValue,onesValue)

    WaitCnt(120_000_000 + Cnt)            